Subject: Re: [PATCH v3 3/3] object-info: add option for retrieving object info

From: Junio C Hamano <[email-masked]>
Date: Fri, 01 Apr 2022 09:16:40 -0700

Calvin Wan <[email-masked]> writes:

>> But, as a larger question for the list, I'm wondering if it's
>> best practice to separate client from server in tests, or if it's
>> an accepted style to just use one repository in cases when it
>> doesn't really matter?
> I am as well!

I do not speak for "the list", but many fetch-push tests were
written to use the same repository, and many early submodule tests
imitated them to use the initial test repository and add it as its
submodule, out of pure laziness (and I am probably the most to be
blamed)---these scenarios are not very useful but when the transfer
itself is not the focus of the tests it was a handy way.  Of course
it is not encouraged, and those tests that do care about seeing
objects getting transferred do make sure that they are as
independent as the real world settings that we want the feature
being tested to be working in.